<?php
/**
 * Plugin Name: Mimoza Link Listele
 * Plugin URI: https://mimozabilisim.com/wordPress-eklentileri/
 * Description: Bu eklenti, tüm blog yazılarını, sayfaları ve kategorileri URL olarak listeleyebilir.
 * Version: 1.1
 * Author: Onur Kalafat
 * Author URI: https://mimozabilisim.com/
 * License: GPL2
 */

// Shortcode to display all post, page, and category URLs
function mimoza_display_all_links_as_url() {
    $output = '';

    // List all blog posts URLs
    $output .= '<h2>Tüm Blog Yazıları URL\'leri</h2><textarea rows="10" cols="100">';
    $posts = get_posts(array('post_type' => 'post', 'numberposts' => -1));
    foreach ($posts as $post) {
        $output .= get_permalink($post->ID) . "\n";
    }
    $output .= '</textarea>';

    // List all pages URLs
    $output .= '<h2>Tüm Sayfalar URL\'leri</h2><textarea rows="10" cols="100">';
    $pages = get_pages();
    foreach ($pages as $page) {
        $output .= get_page_link($page->ID) . "\n";
    }
    $output .= '</textarea>';

    // List all categories URLs
    $output .= '<h2>Tüm Kategoriler URL\'leri</h2><textarea rows="5" cols="100">';
    $categories = get_categories();
    foreach ($categories as $category) {
        $output .= get_category_link($category->term_id) . "\n";
    }
    $output .= '</textarea>';

    return $output;
}
add_shortcode('mimoza_all_links_url', 'mimoza_display_all_links_as_url');

// Optional: Add admin menu to manage this plugin
function mimoza_post_links_admin_menu() {
    add_menu_page('Mimoza Link Listele', 'Link Listele', 'manage_options', 'mimoza-post-links', 'mimoza_post_links_settings_page');
}

function mimoza_post_links_settings_page() {
    echo '<div class="wrap"><h1>Mimoza Link Listele</h1>';
    echo '<p>Tüm yazıların, sayfaların ve kategorilerin URL\'lerini listelemek için <strong>[mimoza_all_links_url]</strong> kısa kodunu kullanabilirsiniz.</p>';
    echo '</div>';
}
add_action('admin_menu', 'mimoza_post_links_admin_menu');
